Bug 1739831 - Node metrics graphs are disordered during node startup
Summary: Node metrics graphs are disordered during node startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2.0
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-11 02:17 UTC by Clayton Coleman
Modified: 2019-10-16 06:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:35:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 2366 0 None closed Bug 1739831: Fix wrapping issue with node details graphs 2020-03-03 16:48:23 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:35:46 UTC

Description Clayton Coleman 2019-08-11 02:17:39 UTC
In safari while the node is starting up the 6 node metrics graphs on the node summary page do not form a grid, but instead appear to be slightly too large for their grid position and thus cause alignment issues:

https://www.dropbox.com/s/wtqj36yf9ewfkgo/Screenshot%202019-08-10%2022.15.37.png?dl=0

Expected each graph to remain in the same place when the graphs transitioned from no data to having data.

Comment 2 Yadan Pei 2019-08-19 08:10:26 UTC
1. Cluster admin adds a new worker nodes to the cluster by scaling up the machine set replicas to 2
$ oc edit machineset qe-ui-08190831-zr6jx-worker-us-east-2c
..
spec:
  replicas: 2
....
2. A new machine will be created and registered as Node
3. During the node startup process, monitor on Compute -> Node

6 node metrics graphs on the node summary page are shown correctly, recording attached


Verified on 4.2.0-0.nightly-2019-08-18-054211

Comment 3 Yadan Pei 2019-08-19 08:15:10 UTC
http://g.recordit.co/mFC1Nylh7L.gif     When node is not ready, check the graphs when no data

http://g.recordit.co/mzCApxqcZa.gif     Shows the process of graphs transitioned from no data to having data

Comment 4 errata-xmlrpc 2019-10-16 06:35:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.